[FFmpeg-devel] [PATCH] make librtmp+ssl work with configure

Måns Rullgård mans
Sat Jun 5 16:59:44 CEST 2010

Reimar D?ffinger <Reimar.Doeffinger at gmx.de> writes:

> On Sat, Jun 05, 2010 at 11:25:34AM +0100, M?ns Rullg?rd wrote:
>> Luca Barbato <lu_zero at gentoo.org> writes:
>> > Checking just for -lrtmp doesn't work anymore when it links to an ssl
>> > library, since it provides a pkg-config so let's use it.
>> Why not just add -lssl?  Much simpler.
> Hmm... -lssl usually means OpenSSL, which is not compatible with GPL.
> Feel free to flame me for it, but my suggestion would be to only support
> versions linked against gnutls...

I'm sick and tired of that bullshit.  Such an indirect dependency
really shouldn't matter.  Moreover, gnutls is API-compatible (not sure
about ABI) with openssl, so it's really very hard to say which, if
any, of the two something would be "derived" from.

Consider yourself flamed.

M?ns Rullg?rd
mans at mansr.com

More information about the ffmpeg-devel mailing list